ros-humble-omni-base-controller-configuration (2.5.2-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/twist-relay' into 'humble-devel'
    using execute process to respawn twist_relay node
    See merge request robots/omni_base_robot!53
  * using execute process to respawn twist_relay node
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 21 Nov 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.5.1-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 07 Nov 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.5.0-1bookworm) bookworm; urgency=high

  * Set update_rate for joint_state_broadcaster
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 05 Nov 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.4.2-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 17 Oct 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.4.1-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 14 Oct 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.4.0-1bookworm) bookworm; urgency=high

  * Only relay cmd_vel topic in simulation
  * Contributors: David ter Kuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 03 Sep 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.3.0-1bookworm) bookworm; urgency=high

  * use relay for cmd_vel message
  * Refactor mobile base controller
  * Contributors: David ter Kuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.2.0-1bookworm) bookworm; urgency=high

  * Use unlesscondition
  * start mobile_base_controller only for real robot
  * Contributors: David ter Kuile, antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.1.0-1bookworm) bookworm; urgency=high

  * Use controller_type from the controllers config
  * Remove use_stamped_vel parameter
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.19-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.18-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.17-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.16-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Dtk/move robot args
    See merge request robots/omni_base_robot!34
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.15-1bookworm) bookworm; urgency=high

  * Merge branch 'tpe/upate_std_and_launch_arg' into 'humble-devel'
    Standardize urdf + update lauch args
    See merge request robots/omni_base_robot!32
  * Restructure gazebo urdf
  * Update linters
  * Add public sim
  * Fix base_controller type
  * Update URDF structure
  * Contributors: David ter Kuile, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.14-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 12 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/min-acc' into 'humble-devel'
    added min acceleration parameters
    See merge request robots/omni_base_robot!31
  * typo
  * added min acceleration parameters
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.12-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.11-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 20 May 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.10-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 17 Apr 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.9-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/fix/update-module-numbers' into 'humble-devel'
    Dtk/fix/update module numbers
    See merge request robots/omni_base_robot!25
  * Change module number to 00
  * Contributors: David ter Kuile, Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.8-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/enable-dlo-sim' into 'humble-devel'
    enable odom_tf gazebo only in public sim and laser noise fix
    See merge request robots/omni_base_robot!20
  * enable odom_tf gazebo only in public sim and laser noise fix
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.7-1bookworm) bookworm; urgency=high

  * Add ros2controlcli dependency
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.6-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/feat/force-based-move-plugin' into 'humble-devel'
    Dtk/feat/force based move plugin
    See merge request robots/omni_base_robot!19
  * linters
  * disabled mobile_base_controller in simulation
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 13 Mar 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.5-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/dlo-integration' into 'humble-devel'
    direct laser odometry integration
    See merge request robots/omni_base_robot!18
  * direct laser odometry integration
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 05 Mar 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.4-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/controller' into 'humble-devel'
    fix wheel_radius and wheel_separation
    See merge request robots/omni_base_robot!17
  * fix wheel_radius and wheel_separation
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 25 Feb 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.3-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.2-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 14 Dec 2023 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/modules-ros2' into 'humble-devel'
    fix modules
    See merge request robots/omni_base_robot!14
  * moved omni modules from 00 to 10
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 10 Dec 2023 16:00:00 -0000

ros-humble-omni-base-controller-configuration (2.0.0-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/module' into 'humble-devel'
    Feat/module
    See merge request robots/omni_base_robot!13
  * fix deps
  * fix default controllers
  * using correct name
  * split bringup module
  * omni_base ROS 2
  * add imu_sensor_broadcaster fix robot_model
  * ROS 2 omni base robot
  * Update mobile_base_controller to work with omni_drive_controller
  * chore: wheel odometry calibration params recom
  * disable controller and add TODO
  * enable control(er) and 2dnav
  * fix: Load gazebo_controller_manager_cfg.yaml and launch only omnibase stuff that is ready
  * omnibase controller configuration to ROS 2:
    + yaml
    + launch.py
  * omnibase controller conf to colcon
  * Contributors: YueErro, andreacapodacqua, antoniobrandi, josecarlos

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.10-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 26 Dec 2022 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.9-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/robust-odometry-integration' into 'ferrum-devel'
    disabled odom tf publication
    See merge request robots/omni_base_robot!6
  * disabled odom tf publication
  * Contributors: josegarcia

 -- Yue Erro <yue.erro@pal-robotics.com>  Sun, 23 Oct 2022 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.8-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 15 Aug 2022 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.7-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_base_collision' into 'ferrum-devel'
    Fix collision boxes for the base
    See merge request robots/omni_base_robot!3
  * Remove extra joints because were changed to fixed
  * Contributors: saikishor, thomaspeyrucain

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 09 Aug 2022 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.6-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 16 Jun 2022 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.5-1bookworm) bookworm; urgency=high

  * add new controller parameters for the integration with the new omni_drive_controller
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 23 Nov 2021 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.4-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 03 Nov 2021 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.3-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 04 Oct 2021 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.2-1bookworm) bookworm; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 29 Sep 2021 16:00:00 -0000

ros-humble-omni-base-controller-configuration (0.0.1-1bookworm) bookworm; urgency=high

  * preparing release changed version
  * preparing release
  * Fixing wheel naming convention using rear instead of back
  * Merge branch 'omni_base_sw' into 'master'
    Omni base sw
    See merge request robots/omni_base_robot!1
  * fix the wheel frame names in the mobile base controller
  * Changed laser scan topic for the simulation navigation
  * on of the urdf and completed controller configuration
  * Contributors: Sai Kishor Kothakota, antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 29 Sep 2021 16:00:00 -0000


